wp core check-update

Checks for WordPress updates via Version Check API.

$ wp core check-update [--minor] [--major] [--field=<field>] [--fields=<fields>] [--format=<format>]

Lists the most recent versions when there are updates available, or success message when up to date.

OPTIONS

[--minor]
Compare only the first two parts of the version number.
[--major]
Compare only the first part of the version number.
[--field=<field>]
Prints the value of a single field for each update.
[--fields=<fields>]
Limit the output to specific object fields. Defaults to version,update_type,package_url.
[--format=<format>]
Render output in a particular format. --- default: table options:
  • table
  • csv
  • count
  • json
  • yaml ---

EXAMPLES

$ wp core check-update
+---------+-------------+-------------------------------------------------------------+
| version | update_type | package_url                                                 |
+---------+-------------+-------------------------------------------------------------+
| 4.5.2   | major       | https://downloads.wordpress.org/release/wordpress-4.5.2.zip |
+---------+-------------+-------------------------------------------------------------+

GLOBAL PARAMETERS

--path=<path> Path to the WordPress files.

--url=<url> Pretend request came from given URL. In multisite, this argument is how the target site is specified.

--ssh=[<scheme>:][<user>@]<host|container>[:<port>][<path>] Perform operation against a remote server over SSH (or a container using scheme of "docker", "docker-compose", "vagrant").

--http=<http> Perform operation against a remote WordPress installation over HTTP.

--user=<id|login|email> Set the WordPress user.

--skip-plugins[=<plugins>] Skip loading all plugins, or a comma-separated list of plugins. Note: mu-plugins are still loaded.

--skip-themes[=<themes>] Skip loading all themes, or a comma-separated list of themes.

--skip-packages Skip loading all installed packages.

--require=<path> Load PHP file before running the command (may be used more than once).

--[no-]color Whether to colorize the output.

--debug[=<group>] Show all PHP errors and add verbosity to WP-CLI output. Built-in groups include: bootstrap, commandfactory, and help.

--prompt[=<assoc>] Prompt the user to enter values for all command arguments, or a subset specified as comma-separated values.

--quiet Suppress informational messages.

Related commands
wp core check-update

Checks for WordPress updates via Version Check API.

wp core download

Downloads core WordPress files.

wp core install

Runs the standard WordPress installation process.

wp core is-installed

Checks if WordPress is installed.

wp core multisite-convert

Transforms an existing single-site installation into a multisite installation.

wp core multisite-install

Installs WordPress multisite from scratch.

wp core update

Updates WordPress to a newer version.

wp core update-db

Runs the WordPress database update procedure.

wp core verify-checksums

Verifies WordPress files against WordPress.org's checksums.

wp core version

Displays the WordPress version.